package main

import (
	"fmt"
	"os"
	"witness/version"

	log "github.com/sirupsen/logrus"
	"github.com/urfave/cli/v2"
)

var (
	appFlags = []cli.Flag{
		configFileFlag,
		grpcListenAddrFlag,
		rpcListenAddrFlag,
		rpcHostFlag,
		storeContractFlag,
		rewardContractFlag,
	}
)

func main() {
	// run()
	fmt.Println(version.GOVersion)
}

func run() {
	app := cli.App{}
	app.Name = "witness"
	app.Usage = "this is witness"
	app.Version = version.Version
	app.Before = func(c *cli.Context) error {
		return loadFlagsFromConfig(c, appFlags)
	}

	if err := app.Run(os.Args); err != nil {
		log.Error(err)
	}
}
